/**	$Revision: 1.3 $
	Last updated: $Date: 2002/09/20 12:21:31 $
	
	Copyright (C) 2001-2002 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifndef __PURGE_TRANSACTION_FORM__
#define __PURGE_TRANSACTION_FORM__

#include <PalmOS.h>
#include "Form.h"
#include "TransactionsDB.h"

///this class provides and interface for purging transactions dated earlier than a date chosen by the user
class PurgeTransForm : public Form
{
private:
	///date text
	Char		    date_txt[dateStringLength];
	///actual date
    DateType     date;
	
public:
	///constructor; does nothing
	PurgeTransForm() FORM_SECTION2;

	///handles update events
	Boolean handleUpdateEvent (UInt16 update_code) FORM_SECTION2;
	///draws form and sets default date
	Boolean handleOpenEvent() FORM_SECTION2;
	/// event handler for controls in the form
	Boolean handleCtlSelectEvent(UInt16 control_id) FORM_SECTION2;
};
#endif
