/**	$Revision: 1.3 $
	Last updated: $Date: 2002/09/20 12:21:31 $
	
	Copyright (C) 2000-2002 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */


#ifndef __SPLITS_TABLE__
#define __SPLITS_TABLE__

#include <PalmOS.h>
#include "Table.h"

/** this class handles display and modification of splits */
class SplitsTable : public Table 
{
public:
	/// initialises the table
	SplitsTable();

	///loads data into the table
	void loadData();
	
	///inits the columns in the table
	void initColumns();
	
	///overloads the method in Table
	Boolean recordIsValid(UInt16 id);

	///draws a cell in the table
	static void drawCell(void* table, Int16 row, Int16 column, RectangleType* bounds);
};

#endif
