AC_DEFUN(DEBUG_AND_PROFILE, [
	AC_ARG_ENABLE(debug,
		[  --enable-debug		 compile with debug support],
		[	if [[ $enableval = "yes" ]]; then 
				set_debug="yes"
			else set_debug="no"
			fi
		],
		[ set_debug="no" ])
	AC_ARG_ENABLE(profile,
		[  --enable-profile		compile with profile support],
		[	if [[ $enableval = "yes" ]]; then 
				set_profile="yes"
			else set_profile="no"
			fi
		],
		[ set_profile="no" ])


	if [[ $set_debug = "yes" ]]; then
		CXXFLAGS="$CXXFLAGS -g -O0"
		CFLAGS=$CXXFLAGS
		AC_SUBST(CFLAGS)
		AC_SUBST(CXXFLAGS) 
		LDFLAGS="$LDFLAGS -g"
		AC_SUBST(LDFLAGS) 
		AC_DEFINE([DEBUG],[1],[debug output (positive-enabled, 0-disabled)])
	else 
		CXXFLAGS="$CXXFLAGS -O0"
		CFLAGS=$CXXFLAGS
		AC_SUBST(CFLAGS)
		AC_SUBST(CXXFLAGS) 
		AC_DEFINE([DEBUG],[0],[debug output (positive-enabled, 0-disabled)])
	fi

	if [[ $set_profile = "yes" ]]; then
		CXXFLAGS="$CXXFLAGS -p -pg"
		CFLAGS=$CXXFLAGS
		AC_SUBST(CFLAGS)
		AC_SUBST(CXXFLAGS) 
		AC_DEFINE([PROFILE],[1],[profile output (defined=enabled, undefined=disabled)])
	fi
])
